Bug 966249 - Kernel 3.9.2-200.fc18.i686: BUG: scheduling while atomic
Kernel 3.9.2-200.fc18.i686: BUG: scheduling while atomic
Status: CLOSED DUPLICATE of bug 990955
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: fedora-kernel-wireless-ath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 17:04 EDT by Andrew Walker
Modified: 2013-09-09 08:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 08:57:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Walker 2013-05-22 17:04:13 EDT
Description of problem:

After installing kernel 3.9.2-200.fc18.i686 I receive frequent "BUG: scheduling while atomic" messages. The process identified varies and is not consistent. However the call trace always includes the ath9k_htc module. Today the ksoftirqd process went into a loop and networking stopped working forcing me to use a hardware reset to reboot.

Example entries in /var/log/messages:

May 20 07:31:04 theseus kernel: [162433.464448] BUG: scheduling while atomic: chrome/891/0x10000300
May 20 07:31:04 theseus kernel: [162433.464454] Modules linked in: fuse 8021q fcoe libfcoe libfc scsi_transport_fc garp stp mrp scsi_tgt llc ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio vboxpci(OF) libcxgbi vboxnetadp(OF) ib_iser rdma_cm vboxnetflt(OF) ib_addr iw_cm ib_cm vboxdrv(OF) ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi hwmon_vid arc4 ath9k_htc ath9k_common ath9k_hw ath mac80211 cfg80211 rfkill snd_hda_codec_analog ppdev powernow_k8 kvm_amd snd_hda_intel snd_hda_codec kvm snd_hwdep snd_seq snd_seq_device k8temp serio_raw forcedeth snd_pcm nv_tco snd_page_alloc parport_pc parport snd_timer i2c_nforce2 snd soundcore asus_atk0110 ecryptfs xfs encrypted_keys libcrc32c binfmt_misc trusted tpm tpm_bios uinput nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm ata_generic pata_acpi i2c_core sata_nv pata_amd
May 20 07:31:04 theseus kernel: [162433.464529] Pid: 891, comm: chrome Tainted: GF WC O 3.9.2-200.fc18.i686 #1
May 20 07:31:04 theseus kernel: [162433.464531] Call Trace:
May 20 07:31:04 theseus kernel: [162433.464541] [<c0983056>] __schedule_bug+0x52/0x60
May 20 07:31:04 theseus kernel: [162433.464546] [<c0989f7d>] __schedule+0x7ad/0x7c0
May 20 07:31:04 theseus kernel: [162433.464551] [<c046d1f8>] ? ttwu_do_wakeup+0x28/0x110
May 20 07:31:04 theseus kernel: [162433.464556] [<c053bcba>] ? kmem_cache_alloc+0x16a/0x1c0
May 20 07:31:04 theseus kernel: [162433.464560] [<c046f35e>] ? try_to_wake_up+0x18e/0x230
May 20 07:31:04 theseus kernel: [162433.464563] [<c088e74c>] ? build_skb+0x2c/0x1a0
May 20 07:31:04 theseus kernel: [162433.464567] [<c07d0b14>] ? usb_submit_urb+0x104/0x3e0
May 20 07:31:04 theseus kernel: [162433.464577] [<f7f18484>] ? ath9k_htc_rxep+0x84/0xb0 [ath9k_htc]
May 20 07:31:04 theseus kernel: [162433.464581] [<c046d2fb>] __cond_resched+0x1b/0x30
May 20 07:31:04 theseus kernel: [162433.464584] [<c098a006>] _cond_resched+0x26/0x30
May 20 07:31:04 theseus kernel: [162433.464587] [<c0988ce8>] mutex_lock+0x18/0x40
May 20 07:31:04 theseus kernel: [162433.464594] [<f7f19613>] ath9k_htc_sta_rc_update+0x33/0xa0 [ath9k_htc]
May 20 07:31:04 theseus kernel: [162433.464599] [<c047534a>] ? update_curr+0xba/0x1f0
May 20 07:31:04 theseus kernel: [162433.464602] [<c04753cd>] ? update_curr+0x13d/0x1f0
May 20 07:31:04 theseus kernel: [162433.464606] [<c0472d80>] ? __enqueue_entity+0x70/0x80
May 20 07:31:04 theseus kernel: [162433.464613] [<f7f195e0>] ? ath9k_htc_conf_tx+0x120/0x120 [ath9k_htc]
May 20 07:31:04 theseus kernel: [162433.464641] [<f82df72f>] rate_control_rate_update+0xf5/0x13e [mac80211]
May 20 07:31:04 theseus kernel: [162433.464662] [<f82a7be3>] ieee80211_rx_handlers+0x1603/0x2080 [mac80211]
May 20 07:31:04 theseus kernel: [162433.464682] [<f82a87a2>] ieee80211_prepare_and_rx_handle+0x142/0x9f0 [mac80211]
May 20 07:31:04 theseus kernel: [162433.464685] [<c046d1f8>] ? ttwu_do_wakeup+0x28/0x110
May 20 07:31:04 theseus kernel: [162433.464689] [<c046f35e>] ? try_to_wake_up+0x18e/0x230
May 20 07:31:04 theseus kernel: [162433.464708] [<f82a92fb>] ieee80211_rx+0x2ab/0x7a0 [mac80211]
May 20 07:31:04 theseus kernel: [162433.464712] [<c048d7de>] ? ktime_get+0x5e/0x100
May 20 07:31:04 theseus kernel: [162433.464719] [<f7f1813d>] ath9k_rx_tasklet+0x32d/0x5f0 [ath9k_htc]
May 20 07:31:04 theseus kernel: [162433.464724] [<c0447dd3>] tasklet_action+0x53/0xb0
May 20 07:31:04 theseus kernel: [162433.464727] [<c04479db>] __do_softirq+0xbb/0x1e0
May 20 07:31:04 theseus kernel: [162433.464732] [<c04c2500>] ? handle_irq_event_percpu+0x140/0x1d0
May 20 07:31:04 theseus kernel: [162433.464736] [<c0447c65>] irq_exit+0x95/0xa0
May 20 07:31:04 theseus kernel: [162433.464740] [<c0404c2b>] do_IRQ+0x4b/0xc0
May 20 07:31:04 theseus kernel: [162433.464745] [<c0992cb3>] common_interrupt+0x33/0x38


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install kernel 3.9.2-200.fc18.i686 and use the ath9k_htc module.
2. Observe "BUG: scheduling while atomic" messages in syslog.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Andrew Walker 2013-05-30 21:00:27 EDT
This is still happening with the latest kernel: 3.9.4-200.fc18.i686

May 30 23:24:26 theseus kernel: [13228.116672] BUG: scheduling while atomic: swapper/0/0/0x10000300
May 30 23:24:26 theseus kernel: [13228.116709] Modules linked in: fuse fcoe libfcoe 8021q libfc garp stp mrp scsi_transport_fc llc scsi_tgt ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 vboxpci(OF) cxgb3i cxgb3 vboxnetadp(OF) mdio vboxnetflt(OF) libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi vboxdrv(OF) hwmon_vid arc4 ath9k_htc ath9k_common ath9k_hw ath mac80211 snd_hda_codec_analog cfg80211 rfkill ppdev usblp snd_hda_intel snd_hda_codec snd_hwdep powernow_k8 kvm_amd kvm snd_seq serio_raw k8temp snd_seq_device snd_pcm forcedeth parport_pc snd_page_alloc parport snd_timer snd soundcore nv_tco asus_atk0110 i2c_nforce2 ecryptfs encrypted_keys trusted tpm tpm_bios xfs libcrc32c uinput binfmt_misc nouveau mxm_wmi wmi video i2c_algo_bit ata_generic pata_acpi drm_kms_helper ttm drm i2c_core pata_amd sata_nv
May 30 23:24:26 theseus kernel: [13228.116902] Pid: 0, comm: swapper/0 Tainted: GF       WC O 3.9.4-200.fc18.i686 #1
May 30 23:24:26 theseus kernel: [13228.116914] Call Trace:
May 30 23:24:26 theseus kernel: [13228.116933]  [<c0983ca6>] __schedule_bug+0x52/0x60
May 30 23:24:26 theseus kernel: [13228.116951]  [<c098ac1d>] __schedule+0x7ad/0x7c0
May 30 23:24:26 theseus kernel: [13228.116966]  [<c04786f8>] ? enqueue_task_fair+0x548/0x730
May 30 23:24:26 theseus kernel: [13228.116985]  [<c046d1e5>] ? check_preempt_curr+0x65/0x90
May 30 23:24:26 theseus kernel: [13228.117000]  [<c046d238>] ? ttwu_do_wakeup+0x28/0x110
May 30 23:24:26 theseus kernel: [13228.117008]  [<c046d33b>] __cond_resched+0x1b/0x30
May 30 23:24:26 theseus kernel: [13228.117016]  [<c098aca6>] _cond_resched+0x26/0x30
May 30 23:24:26 theseus kernel: [13228.117024]  [<c0989988>] mutex_lock+0x18/0x40
May 30 23:24:26 theseus kernel: [13228.117044]  [<f7ea9613>] ath9k_htc_sta_rc_update+0x33/0xa0 [ath9k_htc]
May 30 23:24:26 theseus kernel: [13228.117065]  [<c046f49f>] ? wake_up_process+0x1f/0x40
May 30 23:24:26 theseus kernel: [13228.117075]  [<c0457dbe>] ? wake_up_worker+0x1e/0x30
May 30 23:24:26 theseus kernel: [13228.117084]  [<c04585b0>] ? insert_work+0x40/0x50
May 30 23:24:26 theseus kernel: [13228.117109]  [<f7ea95e0>] ? ath9k_htc_conf_tx+0x120/0x120 [ath9k_htc]
May 30 23:24:26 theseus kernel: [13228.117174]  [<f82dc72f>] rate_control_rate_update+0xf5/0x13e [mac80211]
May 30 23:24:26 theseus kernel: [13228.117225]  [<f82a4be3>] ieee80211_rx_handlers+0x1603/0x2080 [mac80211]
May 30 23:24:26 theseus kernel: [13228.117243]  [<c047797b>] ? enqueue_entity+0x4db/0xd10
May 30 23:24:26 theseus kernel: [13228.117294]  [<f82a57a2>] ieee80211_prepare_and_rx_handle+0x142/0x9f0 [mac80211]
May 30 23:24:26 theseus kernel: [13228.117311]  [<c046c76b>] ? update_rq_clock+0x3b/0x290
May 30 23:24:26 theseus kernel: [13228.117362]  [<f82a62fb>] ieee80211_rx+0x2ab/0x7a0 [mac80211]
May 30 23:24:26 theseus kernel: [13228.117388]  [<f7ea813d>] ath9k_rx_tasklet+0x32d/0x5f0 [ath9k_htc]
May 30 23:24:26 theseus kernel: [13228.117406]  [<c046460f>] ? raw_notifier_call_chain+0x1f/0x30
May 30 23:24:26 theseus kernel: [13228.117420]  [<c0447df3>] tasklet_action+0x53/0xb0
May 30 23:24:26 theseus kernel: [13228.117432]  [<c04479fb>] __do_softirq+0xbb/0x1e0
May 30 23:24:26 theseus kernel: [13228.117451]  [<c0447c85>] irq_exit+0x95/0xa0
May 30 23:24:26 theseus kernel: [13228.117467]  [<c0404c2b>] do_IRQ+0x4b/0xc0
May 30 23:24:26 theseus kernel: [13228.117476]  [<c04716d7>] ? sched_clock_cpu+0xe7/0x190
May 30 23:24:26 theseus kernel: [13228.117493]  [<c0993933>] common_interrupt+0x33/0x38
May 30 23:24:26 theseus kernel: [13228.117506]  [<c042fb25>] ? native_safe_halt+0x5/0x10
May 30 23:24:26 theseus kernel: [13228.117525]  [<c040a047>] default_idle+0x37/0xe0
May 30 23:24:26 theseus kernel: [13228.117541]  [<c040a13d>] amd_e400_idle+0x4d/0x100
May 30 23:24:26 theseus kernel: [13228.117552]  [<c040a9e6>] cpu_idle+0xb6/0xe0
May 30 23:24:26 theseus kernel: [13228.117563]  [<c0974e6d>] rest_init+0x5d/0x60
May 30 23:24:26 theseus kernel: [13228.117579]  [<c0c4ea7e>] start_kernel+0x377/0x37d
May 30 23:24:26 theseus kernel: [13228.117597]  [<c0c4e53c>] ? repair_env_string+0x51/0x51
May 30 23:24:26 theseus kernel: [13228.117613]  [<c0c4e377>] i386_start_kernel+0x12d/0x130
Comment 2 Josh Boyer 2013-07-01 16:03:24 EDT
Does it happen without the vbox modules loaded?
Comment 3 Andrew Walker 2013-07-02 00:23:26 EDT
Let me try it out and get back to you.
Comment 4 Andrew Walker 2013-07-05 18:20:31 EDT
Yes, issue still occurs without vbox modules loaded. See below:

Jul  5 00:49:18 theseus kernel: [210820.004066] BUG: scheduling while atomic: swapper/1/0/0x10000300
Jul  5 00:49:18 theseus kernel: [210820.004100] Modules linked in: fuse fcoe libfcoe libfc scsi_transport_fc 8021q garp stp mrp llc scsi_tgt ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi hwmon_vid snd_hda_codec_analog ppdev arc4 powernow_k8 kvm_amd snd_hda_intel snd_hda_codec kvm snd_hwdep snd_seq snd_seq_device snd_pcm parport_pc ath9k_htc ath9k_common ath9k_hw ath mac80211 cfg80211 rfkill nv_tco parport forcedeth i2c_nforce2 k8temp snd_page_alloc snd_timer snd soundcore serio_raw asus_atk0110 binfmt_misc ecryptfs encrypted_keys xfs trusted tpm tpm_bios libcrc32c uinput nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm ata_generic i2c_core pata_acpi sata_nv pata_amd
Jul  5 00:49:18 theseus kernel: [210820.004260] Pid: 0, comm: swapper/1 Not tainted 3.9.6-200.fc18.i686 #1
Jul  5 00:49:18 theseus kernel: [210820.004266] Call Trace:
Jul  5 00:49:18 theseus kernel: [210820.004286]  [<c09840d6>] __schedule_bug+0x52/0x60
Jul  5 00:49:18 theseus kernel: [210820.004298]  [<c098b04d>] __schedule+0x7ad/0x7c0
Jul  5 00:49:18 theseus kernel: [210820.004309]  [<c0478538>] ? enqueue_task_fair+0x548/0x730
Jul  5 00:49:18 theseus kernel: [210820.004320]  [<c046d025>] ? check_preempt_curr+0x65/0x90
Jul  5 00:49:18 theseus kernel: [210820.004330]  [<c046d078>] ? ttwu_do_wakeup+0x28/0x110
Jul  5 00:49:18 theseus kernel: [210820.004338]  [<c046d17b>] __cond_resched+0x1b/0x30
Jul  5 00:49:18 theseus kernel: [210820.004346]  [<c098b0d6>] _cond_resched+0x26/0x30
Jul  5 00:49:18 theseus kernel: [210820.004353]  [<c0989db8>] mutex_lock+0x18/0x40
Jul  5 00:49:18 theseus kernel: [210820.004374]  [<f7d44613>] ath9k_htc_sta_rc_update+0x33/0xa0 [ath9k_htc]
Jul  5 00:49:18 theseus kernel: [210820.004384]  [<c046f2df>] ? wake_up_process+0x1f/0x40
Jul  5 00:49:18 theseus kernel: [210820.004394]  [<c04728fc>] ? update_cfs_rq_blocked_load+0xbc/0x220
Jul  5 00:49:18 theseus kernel: [210820.004410]  [<f7d445e0>] ? ath9k_htc_conf_tx+0x120/0x120 [ath9k_htc]
Jul  5 00:49:18 theseus kernel: [210820.004464]  [<f7e8e7bf>] rate_control_rate_update+0xf5/0x13e [mac80211]
Jul  5 00:49:18 theseus kernel: [210820.004471]  [<c04777bb>] ? enqueue_entity+0x4db/0xd10
Jul  5 00:49:18 theseus kernel: [210820.004515]  [<f7e56c03>] ieee80211_rx_handlers+0x1603/0x2080 [mac80211]
Jul  5 00:49:18 theseus kernel: [210820.004559]  [<f7e577c2>] ieee80211_prepare_and_rx_handle+0x142/0xa30 [mac80211]
Jul  5 00:49:18 theseus kernel: [210820.004568]  [<c046c5ab>] ? update_rq_clock+0x3b/0x290
Jul  5 00:49:18 theseus kernel: [210820.004610]  [<f7e5835b>] ieee80211_rx+0x2ab/0x7a0 [mac80211]
Jul  5 00:49:18 theseus kernel: [210820.004628]  [<f7d4313d>] ath9k_rx_tasklet+0x32d/0x5f0 [ath9k_htc]
Jul  5 00:49:18 theseus kernel: [210820.004638]  [<c046433e>] ? __raw_notifier_call_chain+0x1e/0x30
Jul  5 00:49:18 theseus kernel: [210820.004647]  [<c046436f>] ? raw_notifier_call_chain+0x1f/0x30
Jul  5 00:49:18 theseus kernel: [210820.004657]  [<c0447b43>] tasklet_action+0x53/0xb0
Jul  5 00:49:18 theseus kernel: [210820.004665]  [<c0447743>] __do_softirq+0xc3/0x1f0
Jul  5 00:49:18 theseus kernel: [210820.004676]  [<c0494f4a>] ? tick_do_update_jiffies64+0xca/0x130
Jul  5 00:49:18 theseus kernel: [210820.004685]  [<c04479d5>] irq_exit+0x95/0xa0
Jul  5 00:49:18 theseus kernel: [210820.004694]  [<c0404c2b>] do_IRQ+0x4b/0xc0
Jul  5 00:49:18 theseus kernel: [210820.004703]  [<c0471517>] ? sched_clock_cpu+0xe7/0x190
Jul  5 00:49:18 theseus kernel: [210820.004713]  [<c0993d73>] common_interrupt+0x33/0x38
Jul  5 00:49:18 theseus kernel: [210820.004722]  [<c042fb15>] ? native_safe_halt+0x5/0x10
Jul  5 00:49:18 theseus kernel: [210820.004732]  [<c040a047>] default_idle+0x37/0xe0
Jul  5 00:49:18 theseus kernel: [210820.004741]  [<c040a13d>] amd_e400_idle+0x4d/0x100
Jul  5 00:49:18 theseus kernel: [210820.004749]  [<c040a9e6>] cpu_idle+0xb6/0xe0
Jul  5 00:49:18 theseus kernel: [210820.004760]  [<c097df58>] start_secondary+0x262/0x267

I've never had an issue with the last 3.8.x kernel (3.8.11-200.fc18.i686), and that's what I will run until this issue is resolved.

Let me know if you need more info.
Comment 5 Andrew Walker 2013-08-24 20:26:19 EDT
This issue is still happening with F19 and latest kernels.

Any chance this issue will be looked at soon?
Comment 6 Andrew Walker 2013-08-31 23:44:55 EDT
Seems the same issue is reported in bug #990955.

This bug is now making use of F19 impractical. I'm looking at either switching to Ubuntu 13.04 or replacing the hardware with something that does not use the Atheros chipset.
Comment 7 Andrew Walker 2013-09-08 03:20:23 EDT
Just tried the F20 Live Desktop TC4 and get the same problem.
Comment 8 Josh Boyer 2013-09-09 08:57:59 EDT

*** This bug has been marked as a duplicate of bug 990955 ***

Note You need to log in before you can comment on or make changes to this bug.